---
updatedAt: 2025-06-11T20:14:37.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Event Specifications

The **Event Specifications** method returns a list of `cat_id`s that may be used in filtering of all event methods via the `specification_id` parameter.

An optional `parent_id` parameter allows restricting results to a top-level specification. For example to display all the event specifications related to Duathlon (cat\_id 355) the following request should be made.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/specifications?parent_id=355
```

If you only wish to display the top-level specifications simply supply the parameter `show_children=false` which will limit to the top-level sport specifications. By default all children are returned.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/events/specifications": {
      "get": {
        "summary": "Event Specifications",
        "description": "",
        "operationId": "event-specifications",
        "parameters": [
          {
            "name": "cat_parent_id",
            "in": "query",
            "description": "The parent category to filter results",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "show_children",
            "in": "query",
            "description": "Whether to show only top level categories",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"code\":200,\n   \"status\":\"success\",\n   \"data\":[\n      {\n         \"cat_name\":\"Aquathlon\",\n         \"cat_id\":353,\n         \"cat_parent_id\":0,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"3xRelay\",\n         \"cat_id\":364,\n         \"cat_parent_id\":354,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"Long Distance\",\n         \"cat_id\":374,\n         \"cat_parent_id\":356,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"3xRelay\",\n         \"cat_id\":379,\n         \"cat_parent_id\":357,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"Long Distance\",\n         \"cat_id\":360,\n         \"cat_parent_id\":353,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"3xRelay\",\n         \"cat_id\":384,\n         \"cat_parent_id\":358,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"3xRelay\",\n         \"cat_id\":410,\n         \"cat_parent_id\":408,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"3xRelay\",\n         \"cat_id\":370,\n         \"cat_parent_id\":355,\n         \"cat_order\":1\n      },\n      {\n         \"cat_name\":\"4xMixed Relay\",\n         \"cat_id\":380,\n         \"cat_parent_id\":357,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"4xMixed Relay\",\n         \"cat_id\":385,\n         \"cat_parent_id\":358,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"Cross Duathlon\",\n         \"cat_id\":408,\n         \"cat_parent_id\":0,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"Middle Distance\",\n         \"cat_id\":373,\n         \"cat_parent_id\":356,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"4xMixed Relay\",\n         \"cat_id\":411,\n         \"cat_parent_id\":408,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"4xMixed Relay\",\n         \"cat_id\":371,\n         \"cat_parent_id\":355,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"Paratriathlon\",\n         \"cat_id\":361,\n         \"cat_parent_id\":353,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"4xMixed Relay\",\n         \"cat_id\":365,\n         \"cat_parent_id\":354,\n         \"cat_order\":2\n      },\n      {\n         \"cat_name\":\"Standard\",\n         \"cat_id\":359,\n         \"cat_parent_id\":353,\n         \"cat_order\":3\n      },\n      {\n         \"cat_name\":\"Paratriathlon\",\n         \"cat_id\":381,\n         \"cat_parent_id\":357,\n         \"cat_order\":3\n      },\n      {\n         \"cat_name\":\"Paratriathlon\",\n         \"cat_id\":375,\n         \"cat_parent_id\":356,\n         \"cat_order\":3\n      },\n      {\n         \"cat_name\":\"Cross Triathlon\",\n         \"cat_id\":354,\n         \"cat_parent_id\":0,\n         \"cat_order\":3\n      },\n      {\n         \"cat_name\":\"Paratriathlon\",\n         \"cat_id\":386,\n         \"cat_parent_id\":358,\n         \"cat_order\":3\n      }\n   ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "cat_name": {
                            "type": "string",
                            "example": "Aquathlon"
                          },
                          "cat_id": {
                            "type": "integer",
                            "example": 353,
                            "default": 0
                          },
                          "cat_parent_id": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "cat_order": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```